%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname activeldap
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}
%define installroot %{buildroot}%{geminstdir}
%define examplesdir %{installroot}/examples


Summary:        Ruby/ActiveLdap is a object-oriented API to LDAP
Name:           rubygem-%{gemname}
Version:        1.0.1
Release:        1%{?dist}
Group:          Development/Languages
License:        GPLv2+
URL:            http://rubyforge.org/projects/ruby-activeldap/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.8
Requires:       rubygems
Requires:       rubygem(activerecord)
Requires:       rubygem(hoe) >= 1.5.0
Requires:       ruby-ldap
BuildRequires:  rubygems
BuildRequires:  gettext
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
'Ruby/ActiveLdap' is a ruby extension library which provides a clean objected
oriented interface to the Ruby/LDAP library.  It was inspired by ActiveRecord.
This is not nearly as clean or as flexible as ActiveRecord, but it is still
trivial to define new objects and manipulate them with minimal difficulty.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

rm -f %{examplesdir}/al-admin/public/.htaccess
rm -f %{examplesdir}/al-admin/public/favicon.ico
rm -f %{examplesdir}/al-admin/public/stylesheets/welcome.css


chmod +x %{installroot}/lib/active_ldap.rb
chmod +x %{installroot}/test/run-test.rb
chmod +x %{installroot}/test-unit/bin/testrb
chmod +x %{installroot}/test-unit/test/run-test.rb
chmod +x %{installroot}/test-unit-ext/misc/rd2html.rb

for script in groupadd groupdel groupls groupmod lpasswd ouadd useradd \
useradd-binary userdel userls usermod usermod-binary-add \
usermod-binary-add-time usermod-binary-del usermod-lang-add \
al-admin/script/process/reaper al-admin/script/process/spawner \
al-admin/script/process/inspector al-admin/script/destroy \
al-admin/script/plugin al-admin/script/console \
al-admin/script/performance/profiler al-admin/script/performance/benchmarker \
al-admin/script/performance/request al-admin/script/server \
al-admin/script/runner al-admin/script/about al-admin/script/generate \
al-admin/public/dispatch.fcgi al-admin/public/dispatch.cgi \
al-admin/public/dispatch.rb al-admin/test/run-test.sh;
do
    chmod +x %{examplesdir}/${script}
    sed -i -e 's/\/usr\/bin\/ruby1.8/\/usr\/bin\/ruby/' %{examplesdir}/${script}
done


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/examples/al-admin/public/robots.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%lang(en) %{geminstdir}/data/locale/en/LC_MESSAGES/active-ldap.mo
%lang(ja) %{geminstdir}/data/locale/ja/LC_MESSAGES/active-ldap.mo


%changelog
* Tue Jun 17 2008 Darryl Pierce <dpierce@redhat.com> - 1.0.1-1
- Release 1.0.1 of the gem.

* Mon Jun 09 2008 Darryl Pierce <dpierce@redhat.com> - 1.0.0-1
- New release of ActiveLdap.

* Thu May 15 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-10
- First official build for rawhide.

* Mon May 12 2008 Darryl Pierce <dpierce@redaht.com> - 0.10.0-9
- First build updated for Fedora.

* Tue Apr 29 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-8
- Missed a script.

* Tue Apr 29 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-7
- Fixing three scripts to be executable.

* Tue Apr 29 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-6
- Fixed the shebang in all scripts to remove an implied dependency on /usr/bin/ruby1.8

* Mon Apr 28 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-5
- Added requirement for ruby-ldap

* Mon Apr 28 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-4
- Moved all macro definitions to the top of the spec file.

* Mon Apr 28 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-3
- Modified the spec to fix rpmlint errors

* Mon Apr 28 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-2
- Fixed the spec file to comply with packaging guidelines

* Fri Apr 18 2008 Darryl Pierce <dpierce@redhat.com> - 0.10.0-1
- Initial package
